Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Object_Adapter_Factory Class Reference

`#include <Object_Adapter.h>`

Inheritance diagram for TAO_Object_Adapter_Factory:

[legend]
Collaboration diagram for TAO_Object_Adapter_Factory:

[legend]
List of all members.

## Public Methods
| TAO_Object_Adapter_Factory (void)
| Constructor.
virtual TAO_Adapter * | create (TAO_ORB_Core *orb_core)
virtual int | init (int argc, ACE_TCHAR *argv[])

## Constructor & Destructor Documentation

TAO_Object_Adapter_Factory::TAO_Object_Adapter_Factory | ( | void |  | ) |

| Constructor.

## Member Function Documentation

TAO_Adapter * TAO_Object_Adapter_Factory::create | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

| Implements TAO_Adapter_Factory.

int TAO_Object_Adapter_Factory::init | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[virtual]`

| Reimplemented from ACE_Shared_Object.

The documentation for this class was generated from the following files:

- Object_Adapter.h
- Object_Adapter.cpp